/*
 *      Loading dialog simulation
 */
var loading;
loading = loading || (function () {
    var div = $('#loadingDialog');
    return {
        show: function () {
            div.modal();
        },
        hide: function () {
            div.modal('hide');
        }
    };
})();

/*
 *      Notification
 */
var msgError;
msgError = msgError || (function () {
    var div = $('.alert-danger');
    return {
        show: function () {
            div.fadeIn();
        },
        hide: function () {
            div.fadeOut();
        }
    };
})();

/*
 *      Error Modal
 */
var errorModal;
errorModal = errorModal || (function () {
    var div = $('#error-modal');
    return {
        show: function (text) {
            div.find('.modal-body').html(text);
            div.modal();
        },
        hide: function () {
            div.modal('hide');
        }
    };
})();